GAMEBOOMERS provides you with all the latest PC adventure computer games information, forum, walkthroughs, reviews and news.
GB Reviews Latest & Upcoming Adventure Games GB Annual Game Lists GB Interviews

BAAGS

GB @ acebook

GB @ witter

About Us
Walkthroughs free games galore Independent Games World of Adventure Patches Game Publishers & Developers GameBoomers Store
Big Fish Games Homepage    
Topic Options
#135015 - 03/15/04 07:32 PM Quicktime versions
looney Offline
Addicted Boomer

Registered: 03/05/02
Posts: 3004
Loc: USA
Hi! I have a question about Quicktime...I know some of the older games need the earlier version to play, and I wonder, can you have more than one version of QT installed at the same time or do you have to delete each version?

Thank you!!! wave
_________________________
Banana phone!

Top
#135016 - 03/15/04 07:56 PM Re: Quicktime versions
syd Offline
Adept Boomer

Registered: 11/12/99
Posts: 12306
Loc: Body in California/Heart in Ha...
In theory you can have more than one version - I've had several at the same time, but you're better off with only the version that the current game you're playing uses - especially the older games.
_________________________
Dark Side : Risen
Light Side:

I can only please one person a day. Today isn't your day. Tomorrow's not looking good either.

Top
#135017 - 03/15/04 08:15 PM Re: Quicktime versions
looney Offline
Addicted Boomer

Registered: 03/05/02
Posts: 3004
Loc: USA
Thanks Syd! i was thinking that...one at a time! I guess that would be best huh?

Game on!!! wave
_________________________
Banana phone!

Top
#135018 - 03/15/04 09:27 PM Re: Quicktime versions
maryc64 Offline
Settled Boomer

Registered: 11/11/02
Posts: 821
Loc: SNOHOMISH, WA
I believe there were major problems for running Riven if one had another version of QT on compy at the same time. I believe this was a question I asked here or TAC and that was the problem for Riven not working until I used just the one needed. I could be totally wrong about the game name. Good question.
_________________________
maryc64

Top
#135019 - 03/15/04 10:08 PM Re: Quicktime versions
Jenny100 Offline
GB Reviewer Glitches Moderator
Sonic Boomer

Registered: 10/24/00
Posts: 35569
Loc: southeast USA
Usually QuickTime 2 does not interfere with later versions, at least up through QuickTime 4. But I don't know if QuickTime 2 conflicts with QuickTime later than 4.

Top
#135020 - 03/15/04 10:41 PM Re: Quicktime versions
MrLipid Offline
Addicted Boomer

Registered: 12/30/00
Posts: 1946
Loc: Land of 10,000 Lakes
It's been my experience that the later versions conflict with the earlier versions. Blackstone Chronicles won't run if QuickTime 6.0 is installed. And the Puzz3D games won't run if any version above 4.1 is installed.

I have found, however, that it is sometimes possible to install a more recent version of QuickTime once an older game and its preferred version have been installed. Sometimes, not always.

Top
#135021 - 03/15/04 11:05 PM Re: Quicktime versions
Jenny100 Offline
GB Reviewer Glitches Moderator
Sonic Boomer

Registered: 10/24/00
Posts: 35569
Loc: southeast USA
Blackstone Chronicles uses QuickTime 3.
I think QuickTime 3 and later all install in the same folder.

QuickTime 2 installs in a different folder from the later QuickTimes, which is why, at least sometimes, it can exist alongside later versions.

Top
#135022 - 03/15/04 11:16 PM Re: Quicktime versions
MrLipid Offline
Addicted Boomer

Registered: 12/30/00
Posts: 1946
Loc: Land of 10,000 Lakes
Quote:
Originally posted by Jenny100:
Blackstone Chronicles uses QuickTime 3.
True.
Quote:
I think QuickTime 3 and later all install in the same folder.
Not necessarily. It is possible to force installs to different directories. That's how I wound up with both QuickTime 3 and QuickTime 6 on the same system. wink

QuickTime 2 and 3 were designed to co-exist. Once 4 came along, all efforts at co-existence or backward compatibility pretty much ended. Which is why, in 2004, we're still fiddling with all the different flavors of QuickTime. laugh

Top
#135023 - 03/16/04 01:06 PM Re: Quicktime versions
Jenny100 Offline
GB Reviewer Glitches Moderator
Sonic Boomer

Registered: 10/24/00
Posts: 35569
Loc: southeast USA
Quote:
Originally posted by MrLipid:
[QUOTE]It is possible to force installs to different directories. That's how I wound up with both QuickTime 3 and QuickTime 6 on the same system.
Which one does the Windows registry recognize and use when you run a QuickTime game?

Quote:

QuickTime 2 and 3 were designed to co-exist. Once 4 came along, all efforts at co-existence or backward compatibility pretty much ended.
I've had 2 and 4 together though, with no problems. But I've heard of people with QuickTime 2 and 5 having problems playing QuickTime 2 games.

Top
#135024 - 03/16/04 01:35 PM Re: Quicktime versions
MrLipid Offline
Addicted Boomer

Registered: 12/30/00
Posts: 1946
Loc: Land of 10,000 Lakes
Quote:
Originally posted by Jenny100:
Originally posted by MrLipid:
[b]
Quote:
It is possible to force installs to different directories. That's how I wound up with both QuickTime 3 and QuickTime 6 on the same system.
Which one does the Windows registry recognize and use when you run a QuickTime game?[/b]
It has been my experience that it appears to be more closely tied to the file extension than to the Registry.

Quote:

QuickTime 2 and 3 were designed to co-exist. Once 4 came along, all efforts at co-existence or backward compatibility pretty much ended.
Quote:
I've had 2 and 4 together though, with no problems. But I've heard of people with QuickTime 2 and 5 having problems playing QuickTime 2 games.
Bottom line is that it is possible for multiple versions of QuickTime to co-exist on the same system. Problem is that newer versions of QuickTime (such as 5 or 6) are not backward compatible and can cause major problems with games that require older versions of QuickTime (such as 2, 3 or 4).

Blackstone Chronicles chokes if 6 is found and the Puzz3D games draw the line at 4.1. And the original Traitors Gate requires that both 2 & 3 be installed...but probably nothing more recent. Or not. wink

Top


Who's Online
Key: Admin Global Mod Mod Staff  )
9 registered (Marian, Yankee Clipper, Gimme, judith, Rushes, oldbroad, abby, Draclvr, DBK), 73 Guests and 12 Spiders online.
Newest Members
Akkad, ViktorTheBoar, ryan_khatam, BabyBloomer, denton9
8568 Registered Users